﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Calendar3
{
    public partial class AJAXList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Set_ddl_To_Today();
            }
        }

        protected void Set_ddl_To_Today()
        {
            ddlYear.SelectedValue = DateTime.Today.Year.ToString();
            ddlMonth.SelectedValue = DateTime.Today.Month.ToString();
            MessageLabel.Text = "";
        }

        protected void gvCalendar_SelectedIndexChanged(Object sender, EventArgs e)
        {
            GridViewRow row = gvCalendar.SelectedRow;
            MessageLabel.Text = "You selected " + row.Cells[3].Text + ", " + row.Cells[4].Text + " " + row.Cells[5].Text + ", " + row.Cells[6].Text;
            MultiView1.ActiveViewIndex = 1;
        }

        protected void ddlYear_SelectedIndexChanged(Object sender, EventArgs e)
        {
            gvCalendar.SelectedIndex = -1;
        }

        protected void ddlMonth_SelectedIndexChanged(Object sender, EventArgs e)
        {
            gvCalendar.SelectedIndex = -1;
        }

        protected void btnClear_Click(object sender, EventArgs e)
        {
            gvCalendar.SelectedIndex = -1;
            gvCalendar.DataBind();
            Set_ddl_To_Today();
        }

        protected void fvCalendarDetail_ItemUpdated(Object sender, FormViewUpdatedEventArgs e)
        {
            gvCalendar.SelectedIndex = -1;
            gvCalendar.DataBind();
            MultiView1.ActiveViewIndex = 0;
        }

        protected void DetailCancelButton_Click(Object sender, EventArgs e)
        {
            fvCalendarDetail.ChangeMode(FormViewMode.ReadOnly);
            MultiView1.ActiveViewIndex = 0;
        }
    }
}