﻿<%@ Page Title="Help" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Help.aspx.cs" Inherits="Calendar3.Help" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">

    <asp:GridView ID="gvHelp"
        runat="server"
        AllowPaging="True"
        AllowSorting="True"
        AutoGenerateColumns="False"
        DataSourceID="HelpDS"
        DataKeyNames="HelpID"
        AutoGenerateSelectButton="False"
        BackColor="White"
        CellPadding="3"
        HeaderStyle-BackColor="#0099CC"
        HeaderStyle-ForeColor="White"
        SelectedRowStyle-BackColor="#0099CC"
        SelectedRowStyle-ForeColor="White"
        AlternatingRowStyle-BackColor="#CCEEFF"
        SelectedRowStyle-BorderColor="White"
        SelectedRowStyle-BorderStyle="Solid"
        SelectedRowStyle-BorderWidth="1px" Width="100%">
        <Columns>
            <asp:CommandField SelectText="Edit" ShowSelectButton="true" ControlStyle-CssClass="bluebutton" />
            <asp:BoundField DataField="Name" HeaderText="Category" SortExpression="Name" />
            <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
            <asp:BoundField DataField="Body" HeaderText="Body" SortExpression="Body" />
        </Columns>
    </asp:GridView>
    <br />
    &nbsp;
    <br />
    &nbsp;
    <asp:FormView ID="fvHelpDetail"
        runat="server"
        DataKeyNames="HelpID"
        DataSourceID="HelpDetailDS"
        OnItemUpdated="fvHelpDetail_ItemUpdated">
        <EditItemTemplate>
            HelpID:
            <asp:Label ID="HelpIDLabel1" runat="server" Text='<%# Eval("HelpID") %>' />
            <br />
            HelpCategoryID:
            <asp:TextBox ID="HelpCategoryIDTextBox" runat="server" Text='<%# Bind("HelpCategoryID") %>' />
            <br />
            SeriesID:
            <asp:TextBox ID="SeriesIDTextBox" runat="server" Text='<%# Bind("SeriesID") %>' />
            <br />
            Title:
            <asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>' Columns="40" Rows="3" TextMode="MultiLine" />
            <br />
            Body:
            <asp:TextBox ID="BodyTextBox" runat="server" Text='<%# Bind("Body") %>' Columns="40" Rows="8" TextMode="MultiLine" />

            <br />
            CreatedByUserID:
            <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' />
            <br />
            CreatedDate:
            <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' />
            <br />
            ModifiedByUserID:
            <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' />
            <br />
            ModifiedDate:
            <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <InsertItemTemplate>
            HelpID:
            <asp:TextBox ID="HelpIDTextBox" runat="server" Text='<%# Bind("HelpID") %>' />
            <br />
            HelpCategoryID:
            <asp:TextBox ID="HelpCategoryIDTextBox" runat="server" Text='<%# Bind("HelpCategoryID") %>' />
            <br />
            SeriesID:
            <asp:TextBox ID="SeriesIDTextBox" runat="server" Text='<%# Bind("SeriesID") %>' />
            <br />
            Title:
            <asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>' Columns="40" Rows="3" TextMode="MultiLine" />
            <br />
            Body:
            <asp:TextBox ID="BodyTextBox" runat="server" Text='<%# Bind("Body") %>' Columns="40" Rows="8" TextMode="MultiLine" />
            <br />
            CreatedByUserID:
            <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' />
            <br />
            CreatedDate:
            <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' />
            <br />
            ModifiedByUserID:
            <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' />
            <br />
            ModifiedDate:
            <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" Text="Insert" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            HelpID:
            <asp:Label ID="HelpIDLabel" runat="server" Text='<%# Eval("HelpID") %>' />
            <br />
            HelpCategoryID:
            <asp:Label ID="HelpCategoryIDLabel" runat="server" Text='<%# Bind("HelpCategoryID") %>' />
            <br />
            SeriesID:
            <asp:Label ID="SeriesIDLabel" runat="server" Text='<%# Bind("SeriesID") %>' />
            <br />
            Title:
            <asp:Label ID="TitleLabel" runat="server" Text='<%# Bind("Title") %>' />
            <br />
            Body:
            <asp:Label ID="BodyLabel" runat="server" Text='<%# Bind("Body") %>' />
            <br />
            CreatedByUserID:
            <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' />
            <br />
            CreatedDate:
            <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' />
            <br />
            ModifiedByUserID:
            <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' />
            <br />
            ModifiedDate:
            <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="New" />
        </ItemTemplate>
    </asp:FormView>
    <br />
    &nbsp;
    
    <asp:SqlDataSource ID="HelpDetailDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>"
        DeleteCommand="DELETE FROM [Help] WHERE [HelpID] = @HelpID"
        InsertCommand="INSERT INTO [Help] ([HelpID], [HelpCategoryID], [SeriesID], [Title], [Body], [CreatedByUserID], [CreatedDate], [ModifiedByUserID], [ModifiedDate]) VALUES (@HelpID, @HelpCategoryID, @SeriesID, @Title, @Body, @CreatedByUserID, @CreatedDate, @ModifiedByUserID, @ModifiedDate)"
        SelectCommand="SELECT * FROM [Help] WHERE ([HelpID] = @HelpID)"
        UpdateCommand="UPDATE [Help] SET [HelpCategoryID] = @HelpCategoryID, [SeriesID] = @SeriesID, [Title] = @Title, [Body] = @Body, [ModifiedDate] = GetDate() WHERE [HelpID] = @HelpID">
        <DeleteParameters>
            <asp:Parameter Name="HelpID" Type="Object" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="HelpCategoryID" Type="Int16" />
            <asp:Parameter Name="SeriesID" Type="Int32" />
            <asp:Parameter Name="Title" Type="String" />
            <asp:Parameter Name="Body" Type="String" />
            <asp:Parameter Name="CreatedByUserID" Type="Object" />
            <asp:Parameter Name="CreatedDate" Type="DateTime" />
            <asp:Parameter Name="ModifiedByUserID" Type="Object" />
            <asp:Parameter Name="ModifiedDate" Type="DateTime" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="gvHelp" Name="HelpID" PropertyName="SelectedValue" Type="Object" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="HelpCategoryID" Type="Int16" />
            <asp:Parameter Name="SeriesID" Type="Int32" />
            <asp:Parameter Name="Title" Type="String" />
            <asp:Parameter Name="Body" Type="String" />
            <asp:Parameter Name="CreatedByUserID" Type="Object" />
            <asp:Parameter Name="CreatedDate" Type="DateTime" />
            <asp:Parameter Name="ModifiedByUserID" Type="Object" />
            <asp:Parameter Name="ModifiedDate" Type="DateTime" />
            <asp:Parameter Name="HelpID" Type="Object" />
        </UpdateParameters>
    </asp:SqlDataSource>


    <asp:SqlDataSource ID="HelpDS" runat="server"
        ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>"
        SelectCommand="SELECT Help.HelpID, Help.SeriesID, HelpCategory.Name, Help.Title, Help.Body FROM Help INNER JOIN HelpCategory ON Help.HelpCategoryID = HelpCategory.HelpCategoryID">
    </asp:SqlDataSource>


</asp:Content>
