﻿<%@ Page Title="Calendar Lookups" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Maintenance.aspx.cs" Inherits="Calendar3.Maintenance" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .table-style {
            width: 400px;
            height: 20px;
            border: 1px solid #0099cc;
            background-color: #FFFFFF;
        }

        .label-style {
            text-align: right;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <div style=" width:50em;">
        <div style="float: left;">
            <asp:GridView ID="gvDayOfWeek"
                runat="server"
                AutoGenerateColumns="False"
                DataSourceID="gvDayOfWeekDS"
                DataKeyNames="DayOfWeekID"
                BackColor="White"
                CellPadding="3"
                HeaderStyle-BackColor="#0099CC"
                HeaderStyle-ForeColor="White"
                SelectedRowStyle-BackColor="#0099CC"
                SelectedRowStyle-ForeColor="White"
                AlternatingRowStyle-BackColor="#CCEEFF"
                SelectedRowStyle-BorderColor="White"
                SelectedRowStyle-BorderStyle="Solid"
                SelectedRowStyle-BorderWidth="1px" 
                BorderStyle="Solid" 
                BorderWidth="1px" 
                BorderColor="#0099CC">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" HeaderText="To Edit" />
                    <asp:BoundField DataField="DayOfWeekID" ItemStyle-HorizontalAlign="Center" />
                    <asp:BoundField DataField="DayOfWeekName" HeaderText="Day of Week" />
                </Columns>
            </asp:GridView>
        </div>


        <div style="float: right;">
            <asp:FormView ID="fvDayOfWeek"
                runat="server"
                OnItemUpdated="fvDayOfWeek_Refresh"
                DataKeyNames="DayOfWeekID"
                DataSourceID="DayOfWeekDS">
                <EditItemTemplate>
                    <table class="table-style">
                        <tr>
                            <td class="label-style">DayOfWeekID</td>
                            <td>
                                <asp:Label ID="DayOfWeekIDLabel1" runat="server" Text='<%# Eval("DayOfWeekID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">DayOfWeekName</td>
                            <td>
                                <asp:TextBox ID="DayOfWeekNameTextBox" runat="server" Width="12em" Font-Size="1em" Height="1em" Text='<%# Bind("DayOfWeekName") %>' />
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="DayOfWeekNameTextBox" runat="server" ErrorMessage="<br />A day name is required." ForeColor="Red" Font-Bold="true" Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedByUserID</td>
                            <td>
                                <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedDate</td>
                            <td>
                                <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedByUserID</td>
                            <td>
                                <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedDate</td>
                            <td>
                                <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">
                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update" Text="Update" /></td>
                            <td>
                                <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" /></td>
                        </tr>
                    </table>
                </EditItemTemplate>
                <ItemTemplate>
                    <table class="table-style">
                        <tr>
                            <td class="label-style">DayOfWeekID</td>
                            <td>
                                <asp:Label ID="DayOfWeekIDLabel" runat="server" Text='<%# Eval("DayOfWeekID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">DayOfWeekName</td>
                            <td>
                                <asp:Label ID="DayOfWeekNameLabel" runat="server" Text='<%# Bind("DayOfWeekName") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedByUserID</td>
                            <td>
                                <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedDate</td>
                            <td>
                                <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedByUserID</td>
                            <td>
                                <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedDate</td>
                            <td>
                                <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">
                                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
                                &nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td>
                                &nbsp;</td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:FormView>
        </div>
    </div>


    <div style="clear:both; padding-top:4em; width:50em;"">
        <div style="float: left;">
            <asp:GridView ID="gvMonthOfYear" 
                runat="server" 
                DataSourceID="gvMonthOfYearDS" 
                DataKeyNames="MonthOfYearID"
                AutoGenerateColumns="False"
                BackColor="White"
                CellPadding="3"
                HeaderStyle-BackColor="#0099CC"
                HeaderStyle-ForeColor="White"
                SelectedRowStyle-BackColor="#0099CC"
                SelectedRowStyle-ForeColor="White"
                AlternatingRowStyle-BackColor="#CCEEFF"
                SelectedRowStyle-BorderColor="White"
                SelectedRowStyle-BorderStyle="Solid"
                SelectedRowStyle-BorderWidth="1px" 
                BorderStyle="Solid" 
                BorderWidth="1px" 
                BorderColor="#0099CC">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" HeaderText="To Edit" />
                    <asp:BoundField DataField="MonthOfYearID" />
                    <asp:BoundField DataField="MonthOfYearName" HeaderText="Month" />
                </Columns>
            </asp:GridView>
            
        </div>
        <div style="float: right;">
             <asp:FormView ID="fvMonthOfYear"
                runat="server"
                OnItemUpdated="fvMonthOfYear_Refresh"
                DataKeyNames="MonthOfYearID"
                DataSourceID="MonthOfYearDS">
                <EditItemTemplate>
                    <table class="table-style">
                        <tr>
                            <td class="label-style">MonthOfYearID</td>
                            <td>
                                <asp:Label ID="MonthOfYearIDLabel1" runat="server" Text='<%# Eval("MonthOfYearID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">MonthOfYearName</td>
                            <td>
                                <asp:TextBox ID="MonthOfYearNameTextBox" runat="server" Width="12em" Font-Size="1em" Height="1em" Text='<%# Bind("MonthOfYearName") %>' />
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="MonthOfYearNameTextBox" runat="server" ErrorMessage="<br />A month name is required." ForeColor="Red" Font-Bold="true" Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedByUserID</td>
                            <td>
                                <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedDate</td>
                            <td>
                                <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedByUserID</td>
                            <td>
                                <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedDate</td>
                            <td>
                                <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">
                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update" Text="Update" /></td>
                            <td>
                                <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" /></td>
                        </tr>
                    </table>
                </EditItemTemplate>
                <ItemTemplate>
                    <table class="table-style">
                        <tr>
                            <td class="label-style">MonthOfYearID</td>
                            <td>
                                <asp:Label ID="MonthOfYearIDLabel" runat="server" Text='<%# Eval("MonthOfYearID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">MonthOfYearName</td>
                            <td>
                                <asp:Label ID="MonthOfYearNameLabel" runat="server" Text='<%# Bind("MonthOfYearName") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedByUserID</td>
                            <td>
                                <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">CreatedDate</td>
                            <td>
                                <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedByUserID</td>
                            <td>
                                <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">ModifiedDate</td>
                            <td>
                                <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                        </tr>
                        <tr>
                            <td class="label-style">
                                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
                                &nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td>&nbsp;</td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:FormView>

        </div>
    </div>

    <asp:SqlDataSource ID="DayOfWeekDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" 
        SelectCommand="SELECT * FROM [DayOfWeek] WHERE ([DayOfWeekID] = @DayOfWeekID)" 
        UpdateCommand="UPDATE [DayOfWeek] SET [DayOfWeekName] = @DayOfWeekName, [ModifiedByUserID] = @ModifiedByUserID, [ModifiedDate] = GetDate() WHERE [DayOfWeekID] = @DayOfWeekID">
        <SelectParameters>
            <asp:ControlParameter ControlID="gvDayOfWeek" Name="DayOfWeekID" PropertyName="SelectedValue" Type="Int16" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="DayOfWeekName" Type="String" />
            <asp:Parameter Name="ModifiedByUserID" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="gvDayOfWeekDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT [DayOfWeekID], [DayOfWeekName] FROM [DayOfWeek] ORDER BY [DayOfWeekID]"></asp:SqlDataSource>

    <asp:SqlDataSource ID="MonthOfYearDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" 
        SelectCommand="SELECT [MonthOfYearID], [MonthOfYearName], [CreatedByUserID], [CreatedDate], [ModifiedByUserID], [ModifiedDate] FROM [MonthOfYear] WHERE ([MonthOfYearID] = @MonthOfYearID)" 
        UpdateCommand="UPDATE [MonthOfYear] SET [MonthOfYearName] = @MonthOfYearName, [ModifiedByUserID] = @ModifiedByUserID, [ModifiedDate] = GetDate() WHERE [MonthOfYearID] = @MonthOfYearID">
        <SelectParameters>
            <asp:ControlParameter ControlID="gvMonthOfYear" Name="MonthOfYearID" PropertyName="SelectedValue" Type="Int16" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="MonthOfYearName" Type="String" />
            <asp:Parameter Name="ModifiedByUserID" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="gvMonthOfYearDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT [MonthOfYearID], [MonthOfYearName] FROM [MonthOfYear] ORDER BY [MonthOfYearID]"></asp:SqlDataSource>
    &nbsp;


</asp:Content>

