﻿<%@ Page Title="Calandar" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="AJAXCalendar.aspx.cs" Inherits="Calendar3.AJAXCalendar" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <fieldset>

                <asp:DropDownList ID="ddlYear" OnSelectedIndexChanged="ddlYear_SelectedIndexChanged" AutoPostBack="true" runat="server" DataSourceID="YearDS" DataTextField="YearID" DataValueField="YearID" Font-Size="Larger">
                </asp:DropDownList>
                <asp:Label ID="lblYear" runat="server" Text="Choose a Year"></asp:Label>

                <asp:DropDownList ID="ddlMonth" OnSelectedIndexChanged="ddlMonth_SelectedIndexChanged" AutoPostBack="true" runat="server" DataSourceID="MonthDS" DataTextField="MonthOfYearName" DataValueField="MonthOfYearID" Font-Size="Larger">
                </asp:DropDownList>&nbsp;
                <asp:Label ID="lblMonth" runat="server" Text="Choose a Month"></asp:Label>
                <asp:Button ID="btnClear" runat="server" CssClass="bluebutton" OnClick="btnClear_Click" Text="To Current Month" Style="margin-left: 70px;" />

                <asp:Label ID="MessageLabel" ForeColor="Red" runat="server" />


                <asp:Calendar ID="EventCalendar"
                    runat="server"
                    OnDayRender="EventCalendar_DayRender"
                    OnSelectionChanged="EventCalendar_SelectionChanged"
                    OnVisibleMonthChanged="EventCalendar_VisibleMonthChanged"
                    BackColor="White"
                    BorderColor="#CCEEFF"
                    CellPadding="4"
                    DayNameFormat="Full"
                    Font-Names="Verdana"
                    Font-Size="Large"
                    ForeColor="Black"
                    Height="650px"
                    Width="1000px"
                    BorderStyle="Solid"
                    BorderWidth="2px"
                    Font-Bold="True"
                    ShowGridLines="True" NextPrevStyle-Height="10px">
                    <DayHeaderStyle BackColor="#0099CC" ForeColor="White" Font-Bold="True" Font-Size="12pt" HorizontalAlign="Left" Wrap="False" />
                    <DayStyle HorizontalAlign="Left" VerticalAlign="Top" BorderColor="#0099CC" BorderStyle="Solid" BorderWidth="1px" />
                    <NextPrevStyle VerticalAlign="Bottom" />
                    <OtherMonthDayStyle ForeColor="#66CCFF" />
                    <SelectedDayStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
                    <SelectorStyle BackColor="#EEEEEE" />
                    <TitleStyle BackColor="#0099CC" ForeColor="White" BorderColor="#0066FF" Font-Bold="True" />
                    <TodayDayStyle BackColor="#0099CC" ForeColor="Black" />
                    <WeekendDayStyle BackColor="#CCEEFF" />
                </asp:Calendar>

            </fieldset>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource ID="YearDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT DISTINCT [YearID] FROM [Calendar] ORDER BY [YearID]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="MonthDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT [MonthOfYearID], [MonthOfYearName] FROM [MonthOfYear] ORDER BY [MonthOfYearID]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="DayOfMonthDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT DISTINCT [YearID], [MonthOfYearID], [DayOfMonthID] FROM [Calendar] WHERE (([YearID] = @YearID) AND ([MonthOfYearID] = @MonthOfYearID)) ORDER BY [DayOfMonthID]">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlYear" Name="YearID" PropertyName="SelectedValue" Type="Int32" />
            <asp:ControlParameter ControlID="ddlMonth" Name="MonthOfYearID" PropertyName="SelectedValue" Type="Int16" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>
