﻿<%@ Page Title="Calendar List" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="AJAXList.aspx.cs" Inherits="Calendar3.AJAXList" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <fieldset>

                <style type="text/css">
                    .round
                    {
                        border: 1px solid #A1DCF2;
                        -webkit-border-radius: 8px;
                        -moz-border-radius: 8px;
                        border-radius: 8px;
                        overflow: hidden;
                        padding-top: -8px;
                        margin-top: 12px;
                        background-color: #0099CC;
                    }

                    .gvFormat
                    {
                    }

                    .auto-style1
                    {
                        width: 100%;
                    }
                </style>

                <asp:MultiView ID="MultiView1"
                    ActiveViewIndex="0"
                    runat="server">
                    <asp:View ID="viewCalendar" runat="server">
                        <asp:DropDownList ID="ddlYear" OnSelectedIndexChanged="ddlYear_SelectedIndexChanged" AutoPostBack="true" runat="server" DataSourceID="YearDS" DataTextField="YearID" DataValueField="YearID" Font-Size="Larger">
                        </asp:DropDownList>
                        <asp:Label ID="lblYearFilter" runat="server" Text="Choose a Year"></asp:Label>
                        &nbsp;
    <asp:DropDownList ID="ddlMonth" OnSelectedIndexChanged="ddlMonth_SelectedIndexChanged" AutoPostBack="true" runat="server" DataSourceID="MonthDS" DataTextField="MonthOfYearName" DataValueField="MonthOfYearID" Font-Size="Larger">
    </asp:DropDownList>
                        <asp:Label ID="lblMonth" runat="server" Text="Choose a Month"></asp:Label>
                        <asp:Button ID="btnClearFilter" runat="server" CssClass="bluebutton" OnClick="btnClear_Click" Text="To Current Month" Style="margin-left: 70px;" />
                        &nbsp;
     <asp:Label ID="MessageLabel" ForeColor="Red" runat="server" />

                        <div class="round">
                            <asp:GridView ID="gvCalendar"
                                runat="server"
                                OnSelectedIndexChanged="gvCalendar_SelectedIndexChanged"
                                AllowPaging="True"
                                PageSize="31"
                                AllowSorting="True"
                                AutoGenerateColumns="False"
                                DataKeyNames="CalendarDate"
                                DataSourceID="CalendarDS"
                                AutoGenerateSelectButton="False"
                                BackColor="White"
                                CellPadding="3"
                                HeaderStyle-BackColor="#0099CC"
                                HeaderStyle-ForeColor="White"
                                SelectedRowStyle-BackColor="#0099CC"
                                SelectedRowStyle-ForeColor="White"
                                AlternatingRowStyle-BackColor="#CCEEFF"
                                SelectedRowStyle-BorderColor="White"
                                SelectedRowStyle-BorderStyle="Solid"
                                SelectedRowStyle-BorderWidth="1px" Width="100%">
                                <Columns>
                                    <asp:CommandField SelectText="Details" ShowSelectButton="true" ControlStyle-CssClass="bluebutton" />
                                    <asp:CommandField />
                                    <asp:BoundField DataField="CalendarDate" HeaderText="Calendar Date" ReadOnly="True" SortExpression="CalendarDate" DataFormatString="{0:d}"></asp:BoundField>
                                    <asp:BoundField DataField="DayOfWeekName" HeaderText="Day Of Week" SortExpression="DayOfWeekName"></asp:BoundField>
                                    <asp:BoundField DataField="MonthOfYearName" HeaderText="Month" SortExpression="MonthOfYearName"></asp:BoundField>
                                    <asp:BoundField DataField="DayOfMonthID" HeaderText="Day Of Month" SortExpression="DayOfMonthID" ItemStyle-HorizontalAlign="Center"></asp:BoundField>
                                    <asp:BoundField DataField="YearID" HeaderText="Year" SortExpression="YearID"></asp:BoundField>
                                    <asp:BoundField DataField="HolidayName" HeaderText="Holiday" SortExpression="HolidayName"></asp:BoundField>
                                    <asp:BoundField DataField="HolidayNote" HeaderText="Holiday Note" SortExpression="HolidayNote"></asp:BoundField>
                                    <asp:CheckBoxField DataField="isHoliday" HeaderText="is a Holiday" SortExpression="isHoliday" ItemStyle-HorizontalAlign="Center"></asp:CheckBoxField>
                                    <asp:CheckBoxField DataField="IsLegalHoliday" HeaderText="Is a Legal Holiday" SortExpression="IsLegalHoliday" ItemStyle-HorizontalAlign="Center"></asp:CheckBoxField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </asp:View>
                    <asp:View ID="viewCalendarDetail" runat="server">
                        <br />
                        <br />
                        <asp:FormView ID="fvCalendarDetail"
                            BorderStyle="Solid"
                            BorderColor="#0099cc"
                            BorderWidth="1px"
                            BackColor="White"
                            Width="45em"
                            runat="server"
                            DataKeyNames="CalendarDate"
                            DataSourceID="CalendarDetailDS"
                            OnItemUpdated="fvCalendarDetail_ItemUpdated">
                            <EditItemTemplate>
                                <table class="auto-style1">
                                    <tr>
                                        <td style="text-align: right; height: 1.5em; width: 12em;">CalendarDate</td>
                                        <td>
                                            <asp:Label ID="CalendarDateLabel1" runat="server" Text='<%# Eval("CalendarDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">isBusinessDay</td>
                                        <td>
                                            <asp:CheckBox ID="isBusinessDayCheckBox" runat="server" Checked='<%# Bind("isBusinessDay") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">isHoliday</td>
                                        <td>
                                            <asp:CheckBox ID="isHolidayCheckBox" runat="server" Checked='<%# Bind("isHoliday") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">IsLegalHoliday</td>
                                        <td>
                                            <asp:CheckBox ID="IsLegalHolidayCheckBox" runat="server" Checked='<%# Bind("IsLegalHoliday") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">HolidayName</td>
                                        <td>
                                            <asp:TextBox ID="HolidayNameTextBox" Style="font-size: 1em; height: 1.1em;" runat="server" Text='<%# Bind("HolidayName") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">HolidayNote</td>
                                        <td>
                                            <asp:TextBox ID="HolidayNoteTextBox" Style="font-size: 1em; height: 1.1em;" runat="server" Text='<%# Bind("HolidayNote") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">CreatedByUserID</td>
                                        <td>
                                            <asp:Label ID="CreatedByUserIDLabel" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">CreatedDate</td>
                                        <td>
                                            <asp:Label ID="CreatedDateLabel" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">ModifiedByUserID</td>
                                        <td>
                                            <asp:Label ID="ModifiedByUserIDLabel" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">ModifiedDate</td>
                                        <td>
                                            <asp:Label ID="ModifiedDateLabel" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">
                                            <asp:Button ID="UpdateButton" CssClass="bluebutton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
                                        </td>
                                        <td>&nbsp;<asp:Button ID="UpdateCancelButton" CssClass="bluebutton" runat="server" OnClick="DetailCancelButton_Click" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
                                        </td>
                                    </tr>
                                </table>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <table class="auto-style1">
                                    <tr>
                                        <td style="text-align: right; height: 1.5em; width: 12em;">CalendarDate</td>
                                        <td>
                                            <asp:Label ID="CalendarDateLabel1" runat="server" Text='<%# Eval("CalendarDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">isBusinessDay</td>
                                        <td>
                                            <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("isBusinessDay") %>' Enabled="false" /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">isHoliday</td>
                                        <td>
                                            <asp:CheckBox ID="isHolidayCheckBox" runat="server" Checked='<%# Bind("isHoliday") %>' Enabled="false" /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">IsLegalHoliday</td>
                                        <td>
                                            <asp:CheckBox ID="IsLegalHolidayCheckBox" runat="server" Checked='<%# Bind("IsLegalHoliday") %>' Enabled="false" /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">HolidayName</td>
                                        <td>
                                            <asp:Label ID="HolidayNameLabel" runat="server" Text='<%# Bind("HolidayName") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">HolidayNote</td>
                                        <td>
                                            <asp:Label ID="HolidayNoteLabel" runat="server" Text='<%# Bind("HolidayNote") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">CreatedByUserID</td>
                                        <td>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("CreatedByUserID") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">CreatedDate</td>
                                        <td>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("CreatedDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">ModifiedByUserID</td>
                                        <td>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("ModifiedByUserID") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">ModifiedDate</td>
                                        <td>
                                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("ModifiedDate") %>' /></td>
                                    </tr>
                                    <tr>
                                        <td style="text-align: right; height: 1.5em;">
                                            <asp:Button ID="EditButton" CssClass="bluebutton" runat="server" CausesValidation="False" CommandName="Edit" Text="&nbsp;Edit&nbsp;" />
                                        </td>
                                        <td>&nbsp;<asp:Button ID="DetailCancelButton" CssClass="bluebutton" runat="server" OnClick="DetailCancelButton_Click" CausesValidation="False" Text="Cancel" />
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:FormView>
                    </asp:View>
                </asp:MultiView>

            </fieldset>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:SqlDataSource ID="YearDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT DISTINCT [YearID] FROM [Calendar] ORDER BY [YearID]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="MonthDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT [MonthOfYearID], [MonthOfYearName] FROM [MonthOfYear] ORDER BY [MonthOfYearID]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="DayOfMonthDS" runat="server" ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>" SelectCommand="SELECT DISTINCT [DayOfMonthID] FROM [Calendar] WHERE (([MonthOfYearID] = @MonthOfYearID) AND ([YearID] = @YearID))">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlMonth" Name="MonthOfYearID" PropertyName="SelectedValue" Type="Int16" />
            <asp:ControlParameter ControlID="ddlYear" Name="YearID" PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="CalendarDetailDS" runat="server"
        ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>"
        SelectCommand="SELECT [CalendarDate], [isBusinessDay], [isHoliday], [IsLegalHoliday], [HolidayName], [HolidayNote], [CreatedByUserID], [CreatedDate], [ModifiedByUserID], [ModifiedDate] FROM [Calendar] WHERE ([CalendarDate] = @CalendarDate)"
        UpdateCommand="UPDATE [Calendar] SET [isBusinessDay] = @isBusinessDay, [isHoliday] = @isHoliday, [IsLegalHoliday] = @IsLegalHoliday, [HolidayName] = @HolidayName, [HolidayNote] = @HolidayNote, [ModifiedByUserID] = @ModifiedByUserID, [ModifiedDate] = GetDate() WHERE [CalendarDate] = @CalendarDate">
        <SelectParameters>
            <asp:ControlParameter ControlID="gvCalendar" DbType="Date" Name="CalendarDate" PropertyName="SelectedValue" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="isBusinessDay" Type="Boolean" />
            <asp:Parameter Name="isHoliday" Type="Boolean" />
            <asp:Parameter Name="IsLegalHoliday" Type="Boolean" />
            <asp:Parameter Name="HolidayName" Type="String" />
            <asp:Parameter Name="HolidayNote" Type="String" />
            <asp:Parameter Name="ModifiedByUserID" Type="Int32" />
            <asp:Parameter Name="ModifiedDate" Type="DateTime" />
            <asp:Parameter DbType="Date" Name="CalendarDate" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="CalendarDS" runat="server"
        ConnectionString="<%$ ConnectionStrings:EventManagerConnectionString %>"
        SelectCommand="SELECT Calendar.CalendarDate, Calendar.YearID, Calendar.DayOfMonthID, DayOfWeek.DayOfWeekName, MonthOfYear.MonthOfYearName, Calendar.HolidayName, Calendar.HolidayNote, Calendar.isHoliday, Calendar.IsLegalHoliday FROM Calendar INNER JOIN DayOfWeek ON Calendar.DayOfWeekID = DayOfWeek.DayOfWeekID INNER JOIN MonthOfYear ON Calendar.MonthOfYearID = MonthOfYear.MonthOfYearID WHERE (([YearID] = @YearID) AND (Calendar.[MonthOfYearID] = @MonthOfYearID))">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlYear" Name="YearID" PropertyName="SelectedValue" Type="Int32" />
            <asp:ControlParameter ControlID="ddlMonth" Name="MonthOfYearID" PropertyName="SelectedValue" Type="Int16" />
        </SelectParameters>
    </asp:SqlDataSource>


</asp:Content>
